regina::NXMLCharsReader Class Reference
File I/O

A reader for an XML element that contains only characters. More...

`#include <file/nxmlelementreader.h>`

Inheritance diagram for regina::NXMLCharsReader:

## Public Member Functions

| NXMLCharsReader ()
| Creates a new XML element reader. More...
const std::string & | getChars ()
| Returns the characters stored in the XML element that has been read. More...
virtual void | initialChars (const std::string &chars)
| Signifies that the initial text belonging to this XML element has been read. More...
Public Member Functions inherited from regina::NXMLElementReader
| NXMLElementReader ()
| Creates a new element reader. More...
virtual | ~NXMLElementReader ()
| Destroys this element reader. More...
virtual void | startElement (const std::string &tagName, const regina::xml::XMLPropertyDict &tagProps, NXMLElementReader *parentReader)
| Signifies that parsing of this XML element is beginning. More...
virtual NXMLElementReader * | startSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps)
| Signifies that a subelement of this XML element is about to be parsed. More...
virtual void | endSubElement (const std::string &subTagName, NXMLElementReader *subReader)
| Signifies that parsing has finished for a subelement of this XML element. More...
virtual void | endElement ()
| Signifies that parsing of this XML element is finished. More...
virtual void | usingParser (regina::xml::XMLParser *parser)
| Called for the top-level element in an XML file when parsing begins. More...
virtual void | abort (NXMLElementReader *subReader)
| Signifies that XML parsing has been aborted. More...

## Detailed Description

A reader for an XML element that contains only characters.

Any XML subelements will be ignored (as will any characters occurring after any subelements).

Python:
  Not present.

## Constructor & Destructor Documentation

regina::NXMLCharsReader::NXMLCharsReader | ( |  | ) |

inline

Creates a new XML element reader.

## Member Function Documentation

const std::string & regina::NXMLCharsReader::getChars | ( |  | ) |

inline

Returns the characters stored in the XML element that has been read.

Returns
  the characters stored in the XML element.

void regina::NXMLCharsReader::initialChars | ( | const std::string & | chars | ) |

inline virtual

Signifies that the initial text belonging to this XML element has been read.

The initial text is everything between the opening tag and the first subelement or closing tag.

The default implementation does nothing.

Parameters

  chars | the initial text for this element.

Reimplemented from regina::NXMLElementReader.

The documentation for this class was generated from the following file:

- file/nxmlelementreader.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).